Subject: Re: [PATCH 2/2 v2] powerpc/iommu: Remove the dependency on EEH struct in DDW mechanism

From: "Guilherme G. Piccoli" <[email-masked]>
Date: Wed, 6 Apr 2016 22:55:31 -0300

On 04/06/2016 09:48 PM, Gavin Shan wrote:
> On Wed, Apr 06, 2016 at 09:20:05PM -0300, Guilherme G. Piccoli wrote:
>> Fixes: 39baadbf36ce ("powerpc/eeh: Remove eeh information from pci_dn")
>> Signed-off-by: Guilherme G. Piccoli <[email-masked]>
>
> Reviewed-by: Gavin Shan <[email-masked]>
>
> Thanks, Guilherme. Please make sure if it needs to be backported
> to stable kernel. I assume it probably needs to be in 3.10+.

Thanks for your quick review Gavin! I guess we only need to backport 
this to kernels containing 39baadbf36ce. Stable is a good idea.

>> +	dn = pci_device_to_OF_node(dev);
>> +	pdn = PCI_DN(dn);
>> +	cfg_addr = (pdn->busno << 8) | (pdn->devfn);
>> +	buid = pdn->phb->buid;
>
> No parentheses required on the second operand when getting @cfg_addr.
> It would be nicer to initialize @buid and then @cfg_addr. When
> developers look at the code, they usually check @buid and then
> @cfg_addr.

OK, I'll change this in v3. buid first, cfg_addr second. Also I'll 
remove the parentheses - it's a bad habit of mine =)

Cheers,

Guilherme